libKF5Attica5-5.57.0-175.2.x86_64.rpm


Advertisement

Description

libKF5Attica5 - Open Collaboration Service client library - development files

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Frameworks 5 all
Package filename libKF5Attica5-5.57.0-175.2.x86_64.rpm
Package name libKF5Attica5
Package version 5.57.0
Package release 175.2
Package architecture x86_64
Package type rpm
Category System/GUI/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 183.47 KB
Installed size 786.49 KB
Attica is a library to access Open Collaboration Service servers.

Alternatives

Package Version Architecture Repository
libKF5Attica5-5.58.0git.20190413T095637~1f7f3c3-ku.33.5.x86_64.rpm 5.58.0git.20190413T095637~1f7f3c3 x86_64 KDE Frameworks Unstable
libKF5Attica5-5.58.0git.20190413T095637~1f7f3c3-ku.33.5.i586.rpm 5.58.0git.20190413T095637~1f7f3c3 i586 KDE Frameworks Unstable
libKF5Attica5-5.57.0-175.2.i586.rpm 5.57.0 i586 KDE Frameworks 5
libKF5Attica5-5.57.0-1.1.x86_64.rpm 5.57.0 x86_64 openSUSE Oss
libKF5Attica5-5.57.0-1.1.i586.rpm 5.57.0 i586 openSUSE Oss
libKF5Attica5 - - -

Requires

Name Value
/sbin/ldconfig -
attica-qt5 >= 5.57
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Core5 >= 5.12.3
libQt5Network.so.5()(64bit) -
libQt5Network.so.5(Qt_5)(64bit) -
libQt5Network5 >= 5.12.3
libc.so.6(GLIBC_2.14)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
libKF5Attica.so.5()(64bit) -
libKF5Attica5 = 5.57.0-175.2
libKF5Attica5(x86-64) = 5.57.0-175.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libKF5Attica5-5.57.0-175.2.x86_64.rpm
Source Package attica-qt5-5.57.0-175.2.src.rpm

Install Howto

  1. Add the KDE Frameworks 5 repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Frameworks5/openSUSE_Factory/ kde-frameworks-5
  2. Install libKF5Attica5 rpm package:
    # zypper install libKF5Attica5

Files

Path
/usr/lib64/libKF5Attica.so.5
/usr/lib64/libKF5Attica.so.5.57.0
/usr/share/doc/packages/libKF5Attica5/README.md
/usr/share/licenses/libKF5Attica5/COPYING

Changelog

2019-04-14 - lbeltrame@kde.org
- Update to 5.57.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.57.0.php
- Changes since 5.56.0:
* Accept any HTTP status between 100 and 199 as benign
* Additions for ProviderManager documentation
* [attica] compile without foreach
* autotests: use new signal failedToLoad in ProviderTest
2019-03-10 - lbeltrame@kde.org
- Update to 5.56.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.56.0.php
- Changes since 5.55.0:
* It compiles fine with qt5.13
* Remove deprecated QSignalMapper
* Fix some clazy error
* Port to for(...:...)
2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* No code changes since 5.54.0
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* Fix providertest. exec() only once, with the right settings upfront.
* Notify if a default provider failed to download
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Use isEmpty
* Use new syntax
* Add missing override
* Remove Qt include prefix
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* No code changes since 5.51.0
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* Make sure that it compiles with strict compile flags
2018-09-13 - lbeltrame@kde.org
- Update to 5.50.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.50.0.php
- Changes since 5.49.0:
* Add support for proposed tags addition in OCS 1.7
* Use QTEST_GUILESS_MAIN

See Also

Package Description
libKF5Auth5-32bit-5.57.0-188.2.x86_64.rpm Framework which lets applications perform actions as a privileged user
libKF5Auth5-5.57.0-188.2.i586.rpm Framework which lets applications perform actions as a privileged user
libKF5Auth5-5.57.0-188.2.x86_64.rpm Framework which lets applications perform actions as a privileged user
libKF5Auth5-lang-5.57.0-188.2.noarch.rpm Translations for package kauth
libKF5AuthCore5-32bit-5.57.0-188.2.x86_64.rpm Framework which lets applications perform actions as a privileged user
libKF5AuthCore5-5.57.0-188.2.i586.rpm Framework which lets applications perform actions as a privileged user
libKF5AuthCore5-5.57.0-188.2.x86_64.rpm Framework which lets applications perform actions as a privileged user
libKF5Baloo5-32bit-5.57.0-198.2.x86_64.rpm Core library for Baloo Framework
libKF5Baloo5-5.57.0-198.2.i586.rpm Core library for Baloo Framework
libKF5Baloo5-5.57.0-198.2.x86_64.rpm Core library for Baloo Framework
libKF5BalooEngine5-32bit-5.57.0-198.2.x86_64.rpm Baloo Engine library
libKF5BalooEngine5-5.57.0-198.2.i586.rpm Baloo Engine library
libKF5BalooEngine5-5.57.0-198.2.x86_64.rpm Baloo Engine library
libKF5BalooEngine5-lang-5.57.0-198.2.noarch.rpm Translations for package baloo5
libKF5BluezQt6-5.57.0-135.2.i586.rpm Async Bluez wrapper library - development files
Advertisement
Advertisement